JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32
Class Variant.VARIANT._VARIANT

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.Variant.VARIANT._VARIANT

Enclosing class:
  Variant.VARIANT

    public static class Variant.VARIANT._VARIANT

extends Structure

Nested Class Summary
`static class` `Variant.VARIANT._VARIANT.__VARIANT`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByReference, Structure.ByValue`

Field Summary
`Variant.VARIANT._VARIANT.__VARIANT` `__variant`
`WTypes.VARTYPE` `vt`
`short` `wReserved1`
`short` `wReserved2`
`short` `wReserved3`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`Variant.VARIANT._VARIANT()`
`Variant.VARIANT._VARIANT(Pointer pointer)`

Method Summary
`protected java.util.List` `getFieldOrder()` Return this Structure's field names in their proper order.

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStructAlignment, hashCode, newInstance, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### vt

    public WTypes.VARTYPE vt

### wReserved1

    public short wReserved1

### wReserved2

    public short wReserved2

### wReserved3

    public short wReserved3

### __variant

    public Variant.VARIANT._VARIANT.__VARIANT __variant

Constructor Detail

### Variant.VARIANT._VARIANT

    public Variant.VARIANT._VARIANT()

### Variant.VARIANT._VARIANT

    public Variant.VARIANT._VARIANT(Pointer pointer)

Method Detail

### getFieldOrder

    protected java.util.List getFieldOrder()

  Description copied from class: `Structure`
  Return this Structure's field names in their proper order. For example,

       protected List getFieldOrder() {
           return Arrays.asList(new String[] { ... });
       }

  IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

       protected List getFieldOrder() {
           List fields = new ArrayList(super.getFieldOrder());
           fields.addAll(Arrays.asList(new String[] { ... }));
           return fields;
       }

  Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.

  Specified by:
    `getFieldOrder` in class `Structure`

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.